<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pw@F016=FFFF</action>
    </script>
  </cheat>

  <cheat desc="Clear Credits Now!">
    <script state="on">
      <action>maincpu.pw@F016=0000</action>
    </script>
  </cheat>

  <cheat desc="Infinite Thinking Time">
    <script state="run">
      <action>maincpu.pw@F0F2=0002</action>
    </script>
  </cheat>

  <cheat desc="Infinite Points">
    <script state="run">
      <action>maincpu.pb@F107=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fever">
    <script state="run">
      <action>maincpu.pb@F12B=03</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="The winning hand cheat must be activated when"/>
  <cheat desc="there are 14 tiles in your hand, then press"/>
  <cheat desc="the RON key ('Z' by default). The tiles do"/>
  <cheat desc="not visually change until you make a move."/>
  <cheat desc=" "/>

  <cheat desc="Always winning hand">
    <script state="run">
      <action>maincpu.pw@F48C=3131</action>
      <action>maincpu.pd@F48E=00323232|(maincpu.pd@F48E BAND ~00FFFFFF)</action>
      <action>maincpu.pd@F491=00353535|(maincpu.pd@F491 BAND ~00FFFFFF)</action>
      <action>maincpu.pd@F494=00363636|(maincpu.pd@F494 BAND ~00FFFFFF)</action>
      <action>maincpu.pd@F497=00373737|(maincpu.pd@F497 BAND ~00FFFFFF)</action>
    </script>
  </cheat>

  <cheat desc="Get winning hand Now!">
    <script state="on">
      <action>maincpu.pw@F48C=3131</action>
      <action>maincpu.pd@F48E=00323232|(maincpu.pd@F48E BAND ~00FFFFFF)</action>
      <action>maincpu.pd@F491=00353535|(maincpu.pd@F491 BAND ~00FFFFFF)</action>
      <action>maincpu.pd@F494=00363636|(maincpu.pd@F494 BAND ~00FFFFFF)</action>
      <action>maincpu.pd@F497=00373737|(maincpu.pd@F497 BAND ~00FFFFFF)</action>
    </script>
  </cheat>

  <cheat desc="Watch ALL 14 tiles - Player">
    <script state="run">
      <output format="%02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X">
        <argument count="14">maincpu.pb@(F48C + argindex)</argument>
      </output>
    </script>
  </cheat>

  <cheat desc="Watch ALL 14 tiles - C.P.U.">
    <script state="run">
      <output format="%02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X">
        <argument count="14">maincpu.pb@(F50C + argindex)</argument>
      </output>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
